Subject: 23.0.93; Unexpected font for composed character

From: Markus Triska <[email-masked]>
Date: Mon, 18 May 2009 20:05:12 +0200

I have a file ~/Downloads/Büroanwendungen.zip. When I visit ~/Downloads/
in dired (C-x d ~/Downloads/ RET) and press C-u x = on the "ü", I get:

           character: u (117, #o165, #x75)
   preferred charset: ascii (ASCII (ISO646 IRV))
          code point: 0x75
              syntax: w 	which means: word
            category: .:Base, a:ASCII, l:Latin, r:Roman
         buffer code: #x75
           file code: #x75 (encoded by coding system utf-8-unix)
             display: composed to form "ü" (see below)

   Composed with the following character(s) "̈" using this font:
     xft:-itc-American Typewriter-normal-normal-normal-*-20-*-*-*-*-0-iso10646-1
   by these glyphs:
     [0 1 117 93 12 -1 12 11 0 nil]
     [0 1 776 241 0 -8 -2 14 -11 [-2 -2 0]]

   Character code properties: customize what to show
     name: LATIN SMALL LETTER U
     general-category: Ll (Letter, Lowercase)

   There are text properties here:
     dired-filename       t
     fontified            t
     help-echo            "mouse-2: visit this file in other window"
     mouse-face           highlight

This font differs unexpectedly (for me) from the one used for the "r":

             character: r (114, #o162, #x72)
   preferred charset: ascii (ASCII (ISO646 IRV))
          code point: 0x72
              syntax: w 	which means: word
            category: .:Base, a:ASCII, l:Latin, r:Roman
         buffer code: #x72
           file code: #x72 (encoded by coding system utf-8-unix)
             display: by this font (glyph code)
       xft:-bitstream-Bitstream Vera Sans Mono-normal-normal-normal-*-20-*-*-*-m-0-iso10646-1 (#x55)

   Character code properties: customize what to show
     name: LATIN SMALL LETTER R
     general-category: Ll (Letter, Lowercase)

   There are text properties here:
     dired-filename       t
     fontified            t
     help-echo            "mouse-2: visit this file in other window"
     mouse-face           highlight

In GNU Emacs 23.0.93.3 (i386-apple-darwin9.6.1, GTK+ Version 2.14.7)
 of 2009-05-11 on mt-imac.local
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t